"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjava' }"

JavaUnresolvedConstant subclass:#JavaUnresolvedStringConstant
	instanceVariableNames:'stringIndex'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support'
!

!JavaUnresolvedStringConstant class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

"
! !

!JavaUnresolvedStringConstant class methodsFor:'instance creation'!

pool:aPool poolIndex:index stringIndex:stringIndex
    ^ self new 
        pool:aPool poolIndex:index stringIndex:stringIndex


! !

!JavaUnresolvedStringConstant methodsFor:'accessing'!

pool:aPool poolIndex:i stringIndex:string_index
    constantPool := aPool.
    constantPoolIndex := i.
    stringIndex := string_index.

! !

!JavaUnresolvedStringConstant methodsFor:'resolving'!

preResolve
    |jString chars|

    Java java_lang_String notNil ifTrue:[
        chars := (constantPool at:stringIndex).
        chars isString ifFalse:[
            self halt:'should not happen'
        ].
        jString := JavaVM javaStringObjectForString:chars interned:true.

"/constantPool owner == (Java at:'java/awt/Container') ifTrue:[
"/self halt
"/].

        constantPool at:constantPoolIndex put:jString.
        ^ jString.
    ].

    self rememberForResolveWith:'java/lang/String'.
    ^ self

    "Modified: / 07-08-1997 / 21:17:23 / cg"
    "Modified: / 10-08-2011 / 23:28:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaUnresolvedStringConstant class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libjava/JavaUnresolvedStringConstant.st,v 1.10 2011-11-24 11:19:49 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libjava/JavaUnresolvedStringConstant.st,v 1.10 2011-11-24 11:19:49 cg Exp $'
!

version_SVN
    ^ 'Id: JavaUnresolvedStringConstant.st,v 1.9 2011/08/18 18:42:48 vrany Exp '
! !
